Show Creative
Get a single creative.
curl -X GET "https://api.5centscdn.com/v2/ad-manager/101/creatives/crv_9a71" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.5centscdn.com/v2/ad-manager/101/creatives/crv_9a71"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/ad-manager/101/creatives/crv_9a71", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.5centscdn.com/v2/ad-manager/101/creatives/crv_9a71", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/ad-manager/101/creatives/crv_9a71')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"result": "success",
"creative": {
"id": "crv_9a71",
"admanager_id": 9071,
"name": "Summer 30s Spot",
"creative_type": "media_file",
"status": "active",
"approval_status": "pending",
"duration_seconds": 30,
"media_url": "https://cdn.5centscdn.com/ad-manager-uploads/abc123.mp4",
"vast_url": "https://ads.example.com/vast?id=123",
"click_url": "https://acmecorp.com/summer-sale",
"mime_type": "video/mp4",
"width": 1920,
"height": 1080,
"bitrate": 4000000,
"tracking_mode": "proxy",
"vast_query_params": [
{
"name": "cachebuster",
"type": "from-variable",
"value": "${CACHE_BUSTER}"
}
],
"ad_origin": {
"customHeaders": [
{
"name": "X-Custom-Auth",
"value": "secret-token"
}
]
},
"skip_override": {
"skippable": true,
"offset_type": "seconds",
"offset_value": 5
},
"metadata": [],
"created_at": "2026-01-15T10:30:00Z",
"updated_at": "2026-01-15T10:30:00Z",
"linked_campaign_ids": []
}
}
GET
/ad-manager/{pid}/creatives/{rid}GET
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: X-API-Key)
X-API-Keystring
RequiredAPI key (sent in header)
path
pidinteger
RequiredID of the Ad Manager project.
path
ridstring
RequiredID of the creative.
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-API-Keystring
RequiredAPI Key for authentication. Provide your API key in the header.
Path Parameters
Responses
resultstring
Operation outcome.
Allowed values:
successerrorcreativeobject
Was this page helpful?